> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List meetings

> Lists all meetings in the workspace using a deterministic sort order.

This endpoint is in beta. We will aim to avoid breaking changes, but small updates may be made as we roll out to more users.

Required scopes: `meeting:read`, `record_permission:read`.



## OpenAPI

````yaml https://api.attio.com/openapi/api get /v2/meetings
openapi: 3.1.0
info:
  title: Attio API
  version: 2.0.0
  contact:
    name: Attio Support
    email: support@attio.com
    url: https://attio.com/help
servers:
  - url: https://api.attio.com
    description: Production
security:
  - oauth2: []
tags:
  - name: Objects
    description: >-
      Objects are the core data models inside of Attio. They contain standard
      objects, such as
      [people](/rest-api/endpoint-reference/standard-objects/people/list-person-records),
      [companies](/rest-api/endpoint-reference/standard-objects/companies/list-company-records)
      or [deals](/docs/standard-objects-deals), and custom objects that are
      specific to your use-case. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Object views
    description: Object views are saved table or board layouts for an object.
  - name: List views
    description: List views are saved table or board layouts for a list.
  - name: Attributes
    description: >-
      Attributes model properties of objects and lists. Some attributes, such as
      the `name` attribute on a person, are system-defined, while others are
      user-defined. Attributes are one of [many types](/docs/attribute-types)
      such as text, location or select. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Records
    description: >-
      Records are individual instances of objects e.g. a specific
      [person](/rest-api/endpoint-reference/standard-objects/people/list-person-records)
      or
      [company](/rest-api/endpoint-reference/standard-objects/companies/list-company-records).
      See our [objects and lists guide](/docs/objects-and-lists) for more
      information.
  - name: SCIM groups
    description: >-
      SCIM groups represent Attio teams managed through the SCIM provisioning
      protocol.
  - name: SCIM schemas
    description: >-
      SCIM schemas describe the resource types supported by the SCIM service
      provider.
  - name: SCIM users
    description: >-
      SCIM users represent workspace members managed through the SCIM
      provisioning protocol.
  - name: Lists
    description: >-
      Lists are used to model a particular process. A list contains many records
      of a single object type, where each record is represented by an entry.
      Entries contain their own data from attributes defined on the list and
      also data from their parent record. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Meta
    description: Meta endpoints are used to get information about the API token.
  - name: Entries
    description: >-
      Entries are elements in a list that reference a single parent record.
      Entries contain their own data from attributes defined on the list and
      also data from their parent record. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Files
    description: >-
      Files are documents and folders linked to records, stored either in Attio
      or connected via external storage providers.
  - name: Workspace members
    description: >-
      Workspace members represent a user with access to a workspace. Workspace
      members are assigned roles that determine what they can do within the
      workspace.
  - name: Notes
    description: Notes are rich text documents that reference a single parent record.
  - name: Meetings
    description: >-
      Meetings are events synced from your calendar, added manually or added
      from third-party integrations.
  - name: Call recordings
    description: >-
      Call recordings store video, audio, transcript and speaker information for
      calls. They are linked to meetings.
  - name: Transcripts
    description: >-
      Transcripts contain the speech segments and speaker information for a call
      recording. They are linked to call recordings.
  - name: Tasks
    description: >-
      A task is a defined, actionable item with references to linked records and
      assigned workspace members.
  - name: Webhooks
    description: >-
      Webhooks allow you to listen for changes to data in Attio, for example
      when a record is updated.
  - name: Threads
    description: >-
      Threads are groups of
      [comments](/rest-api/endpoint-reference/comments/get-a-comment) on either
      a record or entry.
  - name: Comments
    description: >-
      Comments are messages on a
      [thread](/rest-api/endpoint-reference/threads/list-threads).
  - name: People
    description: >-
      People are one of the core objects inside of Attio. Person records can be
      added to lists and can be created automatically when syncing your mailbox.
  - name: Companies
    description: >-
      Companies are one of the core objects inside of Attio. Company records can
      be added to lists and can be created automatically when syncing your
      mailbox.
  - name: Users
    description: >-
      Users are an optional standard object that represents a user of your
      system. Users can belong to many workspaces.
  - name: Deals
    description: >-
      Deals are an optional standard object that represent a deal or
      opportunity.
  - name: Workspaces
    description: >-
      Workspaces are an optional standard object that represent a workspace or
      account in your system. Workspaces have many users and can be used to
      model a multi-tenant system. A company record can optionally have multiple
      workspaces.
paths:
  /v2/meetings:
    get:
      tags:
        - Meetings
      summary: List meetings
      description: >-
        Lists all meetings in the workspace using a deterministic sort order.


        This endpoint is in beta. We will aim to avoid breaking changes, but
        small updates may be made as we roll out to more users.


        Required scopes: `meeting:read`, `record_permission:read`.
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 200
            default: 50
            description: >-
              The maximum number of meetings to return. Must be between 1 and
              200. Defaults to 50.
            example: 50
          required: false
          name: limit
          in: query
        - schema:
            type: string
            description: >-
              A pagination cursor used to fetch the next page of meetings.
              Responses with more meetings will include a cursor for you to use
              here. If not provided, the first page will be returned.
          required: false
          name: cursor
          in: query
        - schema:
            type: string
            minLength: 1
            description: >-
              The object to filter meetings by. Must be a valid object slug or
              ID. If provided, linked_record_id must also be provided.
          required: false
          name: linked_object
          in: query
        - schema:
            type: string
            format: uuid
            description: >-
              Used to filter meetings to only those values that include a
              specific linked record. Must be a valid record ID. If provided,
              linked_object must also be provided.
          required: false
          name: linked_record_id
          in: query
        - schema:
            type: string
            default: ''
            description: >-
              A comma-separated list of emails to filter meetings by. If
              provided, meetings will be filtered to only include meetings that
              include at least one of the provided emails as participants.
          required: false
          name: participants
          in: query
        - schema:
            type: string
            enum:
              - start_asc
              - start_desc
            default: start_asc
            description: The order in which to sort the meetings. Defaults to start_asc.
          required: false
          name: sort
          in: query
        - schema:
            type:
              - string
              - 'null'
            description: >-
              Use `ends_from` to filter meetings to only those that end after
              the specified timestamp. `ends_from` is inclusive, meaning that
              meetings that end at the exact timestamp will be included in
              results. When evaluating all-day meetings, we filter results from
              the perspective of a specific timezone (see `timezone` for more
              information).
          required: false
          name: ends_from
          in: query
        - schema:
            type:
              - string
              - 'null'
            description: >-
              Use `starts_before` to filter meetings to only those that start
              before the specified timestamp. `starts_before` is exclusive,
              meaning that meetings that start at the exact timestamp will not
              be included in results. When evaluating all-day meetings, we
              filter results from the perspective of a specific timezone (see
              `timezone` for more information).
          required: false
          name: starts_before
          in: query
        - schema:
            type: string
            default: UTC
            description: >-
              The timezone to use when filtering meetings using `ends_from` and
              `starts_before`. Defaults to UTC. This property has no effect for
              non-all-day meetings.
          required: false
          name: timezone
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/meeting'
                  pagination:
                    type: object
                    properties:
                      next_cursor:
                        type:
                          - string
                          - 'null'
                    required:
                      - next_cursor
                required:
                  - data
                  - pagination
                description: Success
      security:
        - oauth2:
            - meeting:read
            - record_permission:read
components:
  schemas:
    meeting:
      type: object
      properties:
        id:
          type: object
          properties:
            workspace_id:
              type: string
              format: uuid
              description: The ID of the workspace the meeting belongs to.
              example: 14beef7a-99f7-4534-a87e-70b564330a4c
            meeting_id:
              type: string
              format: uuid
              description: The ID of the Attio meeting.
              example: cb59ab17-ad15-460c-a126-0715617c0853
          required:
            - workspace_id
            - meeting_id
        title:
          type: string
          description: The title of the meeting.
          example: Onboarding Session
        description:
          type: string
          description: The description of the meeting.
          example: >-
            Getting you up to speed with the platform and answering any
            questions you have.
        is_all_day:
          type: boolean
          description: >-
            Whether or not the meeting is an all day event. All day events may
            span multiple days.
          example: false
        start:
          anyOf:
            - type: object
              properties:
                datetime:
                  type: string
                  description: >-
                    If a non-all day event, a datetime representing when the
                    meeting starts. Datetimes are formatted as UTC if no
                    timezone is available. If a timezone is available, the
                    datetime will offset using the specified timezone.
                  example: '2027-11-27T14:00:00.000-04:00'
                timezone:
                  type:
                    - string
                    - 'null'
                  description: The IANA timezone in which the meeting starts, if available.
                  example: America/New_York
              required:
                - datetime
                - timezone
            - type: object
              properties:
                date:
                  type: string
                  description: >-
                    If an all day event, a date representing when the meeting
                    starts.
                  example: '2027-11-27'
              required:
                - date
        end:
          anyOf:
            - type: object
              properties:
                datetime:
                  type: string
                  description: >-
                    A datetime representing when the meeting ends. All day
                    meetings will return a date whereas non-all day meetings
                    will return a datetime. Datetimes do not include timezone
                    information; please refer to `timezone` for timezone
                    information. Following iCalendar RFC 5545, the `end_at`
                    property is exclusive, meaning that the meeting ends before
                    the specified time, not at it. For example, a one day
                    meeting on June 3rd would have an `end_at` of June 4th, not
                    June 3rd; a one hour meeting starting at 14:00 would have an
                    `end_at` of 15:00, not 14:00.
                  example: '2027-11-27T15:00:00.000-04:00'
                timezone:
                  type:
                    - string
                    - 'null'
                  description: The IANA timezone in which the meeting ends, if available.
                  example: America/New_York
              required:
                - datetime
                - timezone
            - type: object
              properties:
                date:
                  type: string
                  description: >-
                    If an all day event, a date representing when the meeting
                    ends.
                  example: '2027-11-27'
              required:
                - date
        participants:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                enum:
                  - accepted
                  - tentative
                  - declined
                  - pending
                description: The status of the individual meeting participant.
                example: accepted
              is_organizer:
                type: boolean
                description: >-
                  Whether or not the participant is the organizer of the
                  meeting.
                example: false
              email_address:
                type:
                  - string
                  - 'null'
                description: The normalized email address of the meeting participant.
                example: person@company.com
            required:
              - status
              - is_organizer
              - email_address
        linked_records:
          type: array
          items:
            type: object
            properties:
              object_slug:
                type: string
                description: The slug of the object the meeting linked record belongs to.
                example: people
              object_id:
                type: string
                format: uuid
                description: The ID of the object the meeting linked record belongs to.
                example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
              record_id:
                type: string
                format: uuid
                description: The ID of the meeting linked record.
                example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
            required:
              - object_slug
              - object_id
              - record_id
          description: >-
            A list of records that are linked to the meeting. Participants with
            matching person records are automatically linked to the meeting but
            other records may also be linked explicitly.
        created_at:
          type: string
          description: Timestamp representing when the meeting was created.
          example: '2023-01-01T15:00:00.000000000Z'
        created_by_actor:
          type: object
          description: The actor that created this meeting.
          properties:
            id:
              type: string
              description: An ID to identify the actor.
              nullable: true
            type:
              type: string
              enum:
                - api-token
                - workspace-member
                - system
                - app
              nullable: true
              description: >-
                The type of actor. [Read more information on actor types
                here](/docs/actors).
          example:
            type: workspace-member
            id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
      required:
        - id
        - title
        - description
        - is_all_day
        - start
        - end
        - participants
        - linked_records
        - created_at
        - created_by_actor
  securitySchemes:
    oauth2:
      type: oauth2
      description: This API uses OAuth 2.0 with the authorization code grant flow.
      flows:
        authorizationCode:
          authorizationUrl: https://app.attio.com/authorize
          tokenUrl: https://app.attio.com/oauth/token
          scopes:
            user_management:read: View workspace members.
            user_management:read-write: View workspace members.
            record_permission:read: View, and optionally write, records.
            record_permission:read-write: View, and optionally write, records.
            object_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              objects.
            object_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              objects.
            list_entry:read: View, and optionally write, the entries in a list.
            list_entry:read-write: View, and optionally write, the entries in a list.
            list_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              lists.
            list_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              lists.
            public_collection:read: >-
              View, and optionally write, both the settings and information
              within public collections.
            public_collection:read-write: >-
              View, and optionally write, both the settings and information
              within public collections.
            private_collection:read: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            private_collection:read-write: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            comment:read: View comments (and threads), and optionally write comments.
            comment:read-write: View comments (and threads), and optionally write comments.
            task:read: View, and optionally write, tasks.
            task:read-write: View, and optionally write, tasks.
            note:read: View, and optionally write, notes.
            note:read-write: View, and optionally write, notes.
            meeting:read: View, and optionally write, meetings.
            meeting:read-write: View, and optionally write, meetings.
            call_recording:read: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            call_recording:read-write: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            webhook:read: View, and optionally manage, webhooks.
            webhook:read-write: View, and optionally manage, webhooks.
            file:read: View, and upload files.
            file:read-write: View, and upload files.

````